Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2	(revision 322)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2	(revision 373)
@@ -191,4 +191,44 @@
 			<dict>
 				<key>PBXProjectModuleGUID</key>
+				<string>E14E2B470C2CC05E00AC18D0</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>TestParser.m</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E14E2B480C2CC05E00AC18D0</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>TestParser.m</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E19928B30D0A67CC00000901</string>
+						<key>history</key>
+						<array>
+							<string>E1887EC60C6F975A00F6CE00</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {772, 796}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>547 64 772 816 0 0 1680 1028 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
 				<string>E14E2CFC0C2CCF2900AC18D0</string>
 				<key>PBXProjectModuleLabel</key>
@@ -205,8 +245,8 @@
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E14E2D830C2DBDCE00AC18D0</string>
+						<string>E19928B40D0A67CC00000901</string>
 						<key>history</key>
 						<array>
-							<string>E14E2D820C2DBDCE00AC18D0</string>
+							<string>E1887EC50C6F975A00F6CE00</string>
 						</array>
 					</dict>
@@ -225,44 +265,4 @@
 				<key>RubberWindowFrame</key>
 				<string>21 33 813 746 0 0 1680 1028 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E14E2B470C2CC05E00AC18D0</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>TestParser.m</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E14E2B480C2CC05E00AC18D0</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>TestParser.m</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E14E2D840C2DBDCE00AC18D0</string>
-						<key>history</key>
-						<array>
-							<string>E14E2D5A0C2CD1F400AC18D0</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {772, 796}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>547 64 772 816 0 0 1680 1028 </string>
 			</dict>
 		</dict>
@@ -285,9 +285,9 @@
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E14E2D850C2DBDCE00AC18D0</string>
+						<string>E19928B50D0A67CC00000901</string>
 						<key>history</key>
 						<array>
 							<string>E14E2CF90C2CCF2900AC18D0</string>
-							<string>E14E2D5C0C2CD1F400AC18D0</string>
+							<string>E1887EC70C6F975A00F6CE00</string>
 						</array>
 						<key>prevStack</key>
@@ -331,8 +331,8 @@
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E14E2D860C2DBDCE00AC18D0</string>
+						<string>E19928B60D0A67CC00000901</string>
 						<key>history</key>
 						<array>
-							<string>E14E2CF20C2CCF0500AC18D0</string>
+							<string>E1887EC80C6F975A00F6CE00</string>
 						</array>
 					</dict>
@@ -371,9 +371,9 @@
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E14E2D870C2DBDCE00AC18D0</string>
+						<string>E19928B70D0A67CC00000901</string>
 						<key>history</key>
 						<array>
 							<string>E14E2CA80C2CCE3400AC18D0</string>
-							<string>E14E2CA90C2CCE3400AC18D0</string>
+							<string>E1887EC90C6F975A00F6CE00</string>
 						</array>
 						<key>prevStack</key>
@@ -381,13 +381,4 @@
 							<string>E14E2C810C2CCD0C00AC18D0</string>
 							<string>E14E2C820C2CCD0C00AC18D0</string>
-							<string>E14E2C830C2CCD0C00AC18D0</string>
-							<string>E14E2C840C2CCD0C00AC18D0</string>
-							<string>E14E2C850C2CCD0C00AC18D0</string>
-							<string>E14E2C860C2CCD0C00AC18D0</string>
-							<string>E14E2C870C2CCD0C00AC18D0</string>
-							<string>E14E2CAA0C2CCE3400AC18D0</string>
-							<string>E14E2CAB0C2CCE3400AC18D0</string>
-							<string>E14E2CAC0C2CCE3400AC18D0</string>
-							<string>E14E2CAD0C2CCE3400AC18D0</string>
 						</array>
 					</dict>
@@ -426,8 +417,8 @@
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E14E2D880C2DBDCE00AC18D0</string>
+						<string>E19928B80D0A67CC00000901</string>
 						<key>history</key>
 						<array>
-							<string>E14E2BE80C2CC68A00AC18D0</string>
+							<string>E1887ECA0C6F975A00F6CE00</string>
 						</array>
 					</dict>
@@ -466,8 +457,8 @@
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E14E2D890C2DBDCE00AC18D0</string>
+						<string>E19928BA0D0A67CC00000901</string>
 						<key>history</key>
 						<array>
-							<string>E14E2BEC0C2CC68A00AC18D0</string>
+							<string>E1887ECC0C6F975A00F6CE00</string>
 						</array>
 					</dict>
@@ -506,8 +497,8 @@
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E14E2D8A0C2DBDCE00AC18D0</string>
+						<string>E19928BC0D0A67CC00000901</string>
 						<key>history</key>
 						<array>
-							<string>E14E2A9A0C28BB3100AC18D0</string>
+							<string>E1887ECE0C6F975A00F6CE00</string>
 						</array>
 					</dict>
@@ -546,8 +537,8 @@
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E14E2D8B0C2DBDCE00AC18D0</string>
+						<string>E19928BD0D0A67CC00000901</string>
 						<key>history</key>
 						<array>
-							<string>E14E2A1C0C28B65200AC18D0</string>
+							<string>E1887ECF0C6F975A00F6CE00</string>
 						</array>
 					</dict>
@@ -586,8 +577,8 @@
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E14E2D8C0C2DBDCE00AC18D0</string>
+						<string>E19928BF0D0A67CC00000901</string>
 						<key>history</key>
 						<array>
-							<string>E14E2ADA0C2B798C00AC18D0</string>
+							<string>E1887ED10C6F975A00F6CE00</string>
 						</array>
 					</dict>
@@ -626,8 +617,8 @@
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E14E2D8D0C2DBDCE00AC18D0</string>
+						<string>E19928C10D0A67CC00000901</string>
 						<key>history</key>
 						<array>
-							<string>E14E2AE00C2B798C00AC18D0</string>
+							<string>E1887ED30C6F975A00F6CE00</string>
 						</array>
 					</dict>
@@ -666,8 +657,8 @@
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E14E2D8E0C2DBDCE00AC18D0</string>
+						<string>E19928C30D0A67CC00000901</string>
 						<key>history</key>
 						<array>
-							<string>E14209DD0C277DD1009C8BB2</string>
+							<string>E1887ED50C6F975A00F6CE00</string>
 						</array>
 					</dict>
@@ -706,8 +697,8 @@
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E14E2D8F0C2DBDCE00AC18D0</string>
+						<string>E19928C40D0A67CC00000901</string>
 						<key>history</key>
 						<array>
-							<string>E14209DA0C277DD1009C8BB2</string>
+							<string>E1887ED60C6F975A00F6CE00</string>
 						</array>
 					</dict>
@@ -746,8 +737,8 @@
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E14E2D900C2DBDCE00AC18D0</string>
+						<string>E19928C50D0A67CC00000901</string>
 						<key>history</key>
 						<array>
-							<string>E14209DB0C277DD1009C8BB2</string>
+							<string>E1887ED70C6F975A00F6CE00</string>
 						</array>
 					</dict>
@@ -765,37 +756,5 @@
 				<true/>
 				<key>RubberWindowFrame</key>
-				<string>856 25 754 746 0 0 1680 1028 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E14E2BF00C2CC68A00AC18D0</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>urls.plist</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E14E2BF10C2CC68A00AC18D0</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>urls.plist</string>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {772, 796}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>61 165 772 816 0 0 1680 1028 </string>
+				<string>856 65 754 746 0 0 1680 1028 </string>
 			</dict>
 		</dict>
@@ -874,6 +833,6 @@
 									<array>
 										<array>
-											<integer>44</integer>
-											<integer>42</integer>
+											<integer>60</integer>
+											<integer>56</integer>
 											<integer>0</integer>
 										</array>
@@ -934,6 +893,4 @@
 									<array>
 										<string>1C37FBAC04509CD000000102</string>
-										<string>E14E2B660C2CC10900AC18D0</string>
-										<string>E14E2C620C2CCC6100AC18D0</string>
 										<string>1C37FAAC04509CD000000102</string>
 									</array>
@@ -942,6 +899,5 @@
 										<array>
 											<integer>7</integer>
-											<integer>5</integer>
-											<integer>0</integer>
+											<integer>6</integer>
 										</array>
 									</array>
@@ -1043,6 +999,6 @@
 			<key>TableOfContents</key>
 			<array>
-				<string>E14E28ED0C28944500AC18D0</string>
-				<string>E14E28EE0C28944500AC18D0</string>
+				<string>E19928980D0A58F900000901</string>
+				<string>E19928990D0A58F900000901</string>
 				<string>1C9437FD063B20B00039CFAC</string>
 				<string>1C9437FE063B20B00039CFAC</string>
@@ -1077,9 +1033,5 @@
 	<key>WindowOrderList</key>
 	<array>
-		<string>E14E2D360C2CCFB200AC18D0</string>
-		<string>E14E2D370C2CCFB200AC18D0</string>
-		<string>1C530D5B069F1CE1000CFCEE</string>
-		<string>E14E2D340C2CCFB200AC18D0</string>
-		<string>E14E2BF00C2CC68A00AC18D0</string>
+		<string>E19928AE0D0A58F900000901</string>
 		<string>E1C30C470C23773000EAE48A</string>
 		<string>E1C30A9A0C224B3A00EAE48A</string>
@@ -1093,12 +1045,10 @@
 		<string>E14E2BFF0C2CC81800AC18D0</string>
 		<string>E14E2CFF0C2CCF2900AC18D0</string>
-		<string>1C530D52069F1CE1000CFCEE</string>
-		<string>1C530D57069F1CE1000CFCEE</string>
 		<string>E14E2CCA0C2CCEB500AC18D0</string>
 		<string>1C0AD2B3069F1EA900FABCE6</string>
 		<string>1C530D54069F1CE1000CFCEE</string>
+		<string>/Users/nicholas/Documents/Development/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj</string>
+		<string>E14E2CFC0C2CCF2900AC18D0</string>
 		<string>E14E2B470C2CC05E00AC18D0</string>
-		<string>E14E2CFC0C2CCF2900AC18D0</string>
-		<string>/Users/nicholas/Documents/Development/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj</string>
 	</array>
 	<key>WindowString</key>
@@ -1362,6 +1312,6 @@
 										<key>sizes</key>
 										<array>
-											<string>{{0, 0}, {362, 310}}</string>
-											<string>{{362, 0}, {440, 310}}</string>
+											<string>{{0, 0}, {359, 316}}</string>
+											<string>{{359, 0}, {443, 316}}</string>
 										</array>
 									</dict>
@@ -1378,6 +1328,6 @@
 										<key>sizes</key>
 										<array>
-											<string>{{0, 0}, {802, 310}}</string>
-											<string>{{0, 310}, {802, 295}}</string>
+											<string>{{0, 0}, {802, 316}}</string>
+											<string>{{0, 316}, {802, 289}}</string>
 										</array>
 									</dict>
@@ -1426,12 +1376,12 @@
 			<array>
 				<string>1C530D54069F1CE1000CFCEE</string>
-				<string>E14E2D2E0C2CCFB200AC18D0</string>
+				<string>E19928A80D0A58F900000901</string>
 				<string>1C162984064C10D400B95A72</string>
-				<string>E14E2D2F0C2CCFB200AC18D0</string>
-				<string>E14E2D300C2CCFB200AC18D0</string>
-				<string>E14E2D310C2CCFB200AC18D0</string>
-				<string>E14E2D320C2CCFB200AC18D0</string>
-				<string>E14E2D330C2CCFB200AC18D0</string>
-				<string>E14E2D340C2CCFB200AC18D0</string>
+				<string>E19928A90D0A58F900000901</string>
+				<string>E19928AA0D0A58F900000901</string>
+				<string>E19928AB0D0A58F900000901</string>
+				<string>E19928AC0D0A58F900000901</string>
+				<string>E19928AD0D0A58F900000901</string>
+				<string>E19928AE0D0A58F900000901</string>
 			</array>
 			<key>ToolbarConfiguration</key>
@@ -1682,7 +1632,7 @@
 			<array>
 				<string>1C0AD2B3069F1EA900FABCE6</string>
-				<string>E14E2B850C2CC13D00AC18D0</string>
+				<string>E19928AF0D0A58F900000901</string>
 				<string>1CD0528B0623707200166675</string>
-				<string>E14E2B860C2CC13D00AC18D0</string>
+				<string>E19928B00D0A58F900000901</string>
 			</array>
 			<key>ToolbarConfiguration</key>