Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3	(revision 373)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3	(revision 375)
@@ -201,84 +201,4 @@
 			<dict>
 				<key>PBXProjectModuleGUID</key>
-				<string>E15464590D5EB73F00C836EC</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>urls.plist</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E154645A0D5EB73F00C836EC</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>urls.plist</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E154646D0D5EB8FF00C836EC</string>
-						<key>history</key>
-						<array>
-							<string>E15464550D5EB72500C836EC</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {772, 796}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>18 -575 772 816 0 0 1920 1178 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E154646E0D5EB8FF00C836EC</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>TestParser.m - SCM</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E154646F0D5EB8FF00C836EC</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>TestParser.m - SCM</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E15464710D5EB8FF00C836EC</string>
-						<key>history</key>
-						<array>
-							<string>E15464700D5EB8FF00C836EC</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {1164, 866}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>121 292 1164 886 0 0 1920 1178 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
 				<string>E154645C0D5EB73F00C836EC</string>
 				<key>PBXProjectModuleLabel</key>
@@ -295,8 +215,8 @@
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E15464730D5EB8FF00C836EC</string>
+						<string>E15465140D5ECA7400C836EC</string>
 						<key>history</key>
 						<array>
-							<string>E154645E0D5EB73F00C836EC</string>
+							<string>E15465010D5EC80700C836EC</string>
 						</array>
 					</dict>
@@ -321,4 +241,44 @@
 			<dict>
 				<key>PBXProjectModuleGUID</key>
+				<string>E15464590D5EB73F00C836EC</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>urls.plist</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E154645A0D5EB73F00C836EC</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>urls.plist</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E15465150D5ECA7400C836EC</string>
+						<key>history</key>
+						<array>
+							<string>E15464550D5EB72500C836EC</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {772, 796}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>51 15 772 816 0 0 1920 1178 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
 				<string>E15464560D5EB73F00C836EC</string>
 				<key>PBXProjectModuleLabel</key>
@@ -335,8 +295,8 @@
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E15464740D5EB8FF00C836EC</string>
+						<string>E15465160D5ECA7400C836EC</string>
 						<key>history</key>
 						<array>
-							<string>E15464530D5EB71D00C836EC</string>
+							<string>E15464F60D5EC7A300C836EC</string>
 						</array>
 					</dict>
@@ -357,4 +317,44 @@
 			</dict>
 		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E15464F80D5EC7A300C836EC</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>ICeCoffEE.h</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E15464F90D5EC7A300C836EC</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>ICeCoffEE.h</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E15465170D5ECA7400C836EC</string>
+						<key>history</key>
+						<array>
+							<string>E15464F00D5EC77900C836EC</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {813, 726}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>21 33 813 746 0 0 1920 1178 </string>
+			</dict>
+		</dict>
 	</array>
 	<key>PerspectiveWidths</key>
@@ -389,4 +389,6 @@
 					<array>
 						<dict>
+							<key>BecomeActive</key>
+							<true/>
 							<key>ContentConfiguration</key>
 							<dict>
@@ -429,9 +431,11 @@
 									<array>
 										<array>
+											<integer>43</integer>
+											<integer>42</integer>
 											<integer>0</integer>
 										</array>
 									</array>
 									<key>PBXSmartGroupTreeModuleOutlineStateVisibleRectKey</key>
-									<string>{{0, 0}, {298, 621}}</string>
+									<string>{{0, 501}, {298, 621}}</string>
 								</dict>
 								<key>PBXTopSmartGroupGIDs</key>
@@ -451,4 +455,6 @@
 									<real>276</real>
 								</array>
+								<key>RubberWindowFrame</key>
+								<string>1594 468 315 707 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -456,6 +462,4 @@
 						</dict>
 						<dict>
-							<key>BecomeActive</key>
-							<true/>
 							<key>ContentConfiguration</key>
 							<dict>
@@ -487,6 +491,9 @@
 									<array>
 										<string>1C37FBAC04509CD000000102</string>
+										<string>E154648E0D5EBC2400C836EC</string>
+										<string>E154648F0D5EBC2400C836EC</string>
 										<string>E15463EA0D5E9A3400C836EC</string>
 										<string>E15463EB0D5E9A3400C836EC</string>
+										<string>E15464900D5EBC2400C836EC</string>
 										<string>1C37FAAC04509CD000000102</string>
 									</array>
@@ -494,4 +501,5 @@
 									<array>
 										<array>
+											<integer>13</integer>
 											<integer>0</integer>
 										</array>
@@ -514,6 +522,4 @@
 									<real>298</real>
 								</array>
-								<key>RubberWindowFrame</key>
-								<string>1594 468 315 707 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -628,5 +634,8 @@
 	<key>WindowOrderList</key>
 	<array>
-		<string>E15464670D5EB85000C836EC</string>
+		<string>E15465180D5ECA7400C836EC</string>
+		<string>E15464F20D5EC7A300C836EC</string>
+		<string>E15464EC0D5EC56400C836EC</string>
+		<string>1C335F2C07B51CD20023D4EE</string>
 		<string>E15464250D5E9F1000C836EC</string>
 		<string>E15464280D5E9F1000C836EC</string>
@@ -634,12 +643,13 @@
 		<string>E154642A0D5E9F1000C836EC</string>
 		<string>1C530D5B069F1CE1000CFCEE</string>
+		<string>1C530D57069F1CE1000CFCEE</string>
+		<string>E15464F80D5EC7A300C836EC</string>
 		<string>1C530D54069F1CE1000CFCEE</string>
-		<string>1C530D57069F1CE1000CFCEE</string>
 		<string>1C530D52069F1CE1000CFCEE</string>
+		<string>/Users/nicholas/Documents/Development/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj</string>
+		<string>E15464670D5EB85000C836EC</string>
 		<string>E15464560D5EB73F00C836EC</string>
+		<string>E15464590D5EB73F00C836EC</string>
 		<string>E154645C0D5EB73F00C836EC</string>
-		<string>E154646E0D5EB8FF00C836EC</string>
-		<string>E15464590D5EB73F00C836EC</string>
-		<string>/Users/nicholas/Documents/Development/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj</string>
 	</array>
 	<key>WindowString</key>
@@ -722,5 +732,5 @@
 								</array>
 								<key>RubberWindowFrame</key>
-								<string>423 589 744 409 0 0 1680 1028 </string>
+								<string>531 731 744 409 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -730,6 +740,4 @@
 						</dict>
 						<dict>
-							<key>BecomeActive</key>
-							<true/>
 							<key>ContentConfiguration</key>
 							<dict>
@@ -744,5 +752,5 @@
 								<string>{{267, 0}, {477, 368}}</string>
 								<key>RubberWindowFrame</key>
-								<string>423 589 744 409 0 0 1680 1028 </string>
+								<string>531 731 744 409 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -768,6 +776,5 @@
 			<array>
 				<string>1C335F2C07B51CD20023D4EE</string>
-				<string>1C335F2D07B51CD20023D4EE</string>
-				<string>1C335F2E07B51CD20023D4EE</string>
+				<string>E15464950D5EBD0200C836EC</string>
 				<string>1CE0B1FE06471DED0097A5F4</string>
 				<string>1CA1AED706398EBD00589147</string>
@@ -776,9 +783,9 @@
 			<string>xcode.toolbar.config.defaultV3</string>
 			<key>WindowString</key>
-			<string>423 589 744 409 0 0 1680 1028 </string>
+			<string>531 731 744 409 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
 			<string>1C335F2C07B51CD20023D4EE</string>
 			<key>WindowToolIsVisible</key>
-			<true/>
+			<false/>
 		</dict>
 		<dict>
@@ -875,5 +882,5 @@
 			<string>1C530D52069F1CE1000CFCEE</string>
 			<key>WindowToolIsVisible</key>
-			<false/>
+			<true/>
 		</dict>
 		<dict>
@@ -958,8 +965,8 @@
 									<string>{{361, 0}, {446, 278}}</string>
 									<key>RubberWindowFrame</key>
-									<string>295 237 807 570 0 0 1920 1178 </string>
+									<string>825 127 807 570 0 0 1920 1178 </string>
 								</dict>
 								<key>RubberWindowFrame</key>
-								<string>295 237 807 570 0 0 1920 1178 </string>
+								<string>825 127 807 570 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -995,9 +1002,9 @@
 			<string>xcode.toolbar.config.debugV3</string>
 			<key>WindowString</key>
-			<string>295 237 807 570 0 0 1920 1178 </string>
+			<string>825 127 807 570 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D54069F1CE1000CFCEE</string>
 			<key>WindowToolIsVisible</key>
-			<false/>
+			<true/>
 		</dict>
 		<dict>
@@ -1298,5 +1305,5 @@
 			<string>E15464670D5EB85000C836EC</string>
 			<key>WindowToolIsVisible</key>
-			<false/>
+			<true/>
 		</dict>
 		<dict>