Index: trunk/ICeCoffEE/ICeCoffEE/Japanese.lproj/APE Manager plugin.nib/classes.nib
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/Japanese.lproj/APE Manager plugin.nib/classes.nib	(revision 279)
+++ trunk/ICeCoffEE/ICeCoffEE/Japanese.lproj/APE Manager plugin.nib/classes.nib	(revision 376)
@@ -1,35 +1,81 @@
-{
-    IBClasses = (
-        {CLASS = FirstResponder; LANGUAGE = ObjC; SUPERCLASS = NSObject; }, 
-        {
-            ACTIONS = {
-                commandClickEnabled = id; 
-                editContextualServices = id; 
-                errorDialogEnabled = id; 
-                errorSoundEnabled = id; 
-                servicesInContextualMenu = id; 
-                servicesInMenuBar = id; 
-                terminalRequireOptionForSelfDrag = id; 
-                textBlinkCount = id; 
-                textBlinkEnabled = id; 
-            }; 
-            CLASS = ICeCoffEEController; 
-            LANGUAGE = ObjC; 
-            OUTLETS = {
-                commandClickEnabled = NSButton; 
-                editContextualServices = NSButton; 
-                errorDialogEnabled = NSButton; 
-                errorSoundEnabled = NSButton; 
-                servicesInContextualMenu = NSButton; 
-                servicesInMenuBar = NSButton; 
-                tabView = NSTabView; 
-                terminalRequireOptionForSelfDrag = NSButton; 
-                textBlinkCount = NSPopUpButton; 
-                textBlinkEnabled = NSButton; 
-                window = NSWindow; 
-            }; 
-            SUPERCLASS = NSObject; 
-        }
-    ); 
-    IBVersion = 1; 
-}
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+	<key>IBClasses</key>
+	<array>
+		<dict>
+			<key>CLASS</key>
+			<string>NSMenuItem</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+			<key>SUPERCLASS</key>
+			<string>NSObject</string>
+		</dict>
+		<dict>
+			<key>CLASS</key>
+			<string>FirstResponder</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+			<key>SUPERCLASS</key>
+			<string>NSObject</string>
+		</dict>
+		<dict>
+			<key>ACTIONS</key>
+			<dict>
+				<key>commandClickEnabled</key>
+				<string>NSButton</string>
+				<key>editContextualServices</key>
+				<string>NSButton</string>
+				<key>errorDialogEnabled</key>
+				<string>NSButton</string>
+				<key>errorSoundEnabled</key>
+				<string>NSButton</string>
+				<key>servicesInContextualMenu</key>
+				<string>NSButton</string>
+				<key>servicesInMenuBar</key>
+				<string>NSButton</string>
+				<key>terminalRequireOptionForSelfDrag</key>
+				<string>NSButton</string>
+				<key>textBlinkCount</key>
+				<string>NSPopUpButton</string>
+				<key>textBlinkEnabled</key>
+				<string>NSButton</string>
+			</dict>
+			<key>CLASS</key>
+			<string>ICeCoffEEController</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+			<key>OUTLETS</key>
+			<dict>
+				<key>commandClickEnabled</key>
+				<string>NSButton</string>
+				<key>editContextualServices</key>
+				<string>NSButton</string>
+				<key>errorDialogEnabled</key>
+				<string>NSButton</string>
+				<key>errorSoundEnabled</key>
+				<string>NSButton</string>
+				<key>servicesInContextualMenu</key>
+				<string>NSButton</string>
+				<key>servicesInMenuBar</key>
+				<string>NSButton</string>
+				<key>tabView</key>
+				<string>NSTabView</string>
+				<key>terminalRequireOptionForSelfDrag</key>
+				<string>NSButton</string>
+				<key>textBlinkCount</key>
+				<string>NSPopUpButton</string>
+				<key>textBlinkEnabled</key>
+				<string>NSButton</string>
+				<key>window</key>
+				<string>NSWindow</string>
+			</dict>
+			<key>SUPERCLASS</key>
+			<string>NSObject</string>
+		</dict>
+	</array>
+	<key>IBVersion</key>
+	<string>1</string>
+</dict>
+</plist>
Index: trunk/ICeCoffEE/ICeCoffEE/Japanese.lproj/APE Manager plugin.nib/info.nib
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/Japanese.lproj/APE Manager plugin.nib/info.nib	(revision 279)
+++ trunk/ICeCoffEE/ICeCoffEE/Japanese.lproj/APE Manager plugin.nib/info.nib	(revision 376)
@@ -1,16 +1,18 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
 <plist version="1.0">
 <dict>
-	<key>IBDocumentLocation</key>
-	<string>37 34 356 240 0 0 1024 746 </string>
 	<key>IBFramework Version</key>
-	<string>446.1</string>
+	<string>629</string>
+	<key>IBLastKnownRelativeProjectPath</key>
+	<string>../../ICeCoffEE.xcodeproj</string>
+	<key>IBOldestOS</key>
+	<integer>4</integer>
 	<key>IBOpenObjects</key>
-	<array>
-		<integer>195</integer>
-	</array>
+	<array/>
 	<key>IBSystem Version</key>
-	<string>8J135</string>
+	<string>9B18</string>
+	<key>targetFramework</key>
+	<string>IBCocoaFramework</string>
 </dict>
 </plist>