Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3	(revision 375)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3	(revision 387)
@@ -201,5 +201,125 @@
 			<dict>
 				<key>PBXProjectModuleGUID</key>
-				<string>E154645C0D5EB73F00C836EC</string>
+				<string>E15468B20D602DD100C836EC</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>Info-APE Module.plist - SCM</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E15468B30D602DD100C836EC</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>Info-APE Module.plist - SCM</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E15468B50D602DD100C836EC</string>
+						<key>history</key>
+						<array>
+							<string>E15468B40D602DD100C836EC</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {1104, 1144}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>15 9 1104 1164 0 0 1920 1178 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E15467400D5FF5D100C836EC</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>ICeCoffEEParser.m</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E15467410D5FF5D100C836EC</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>ICeCoffEEParser.m</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E15468B70D602DD100C836EC</string>
+						<key>history</key>
+						<array>
+							<string>E15468300D6020DB00C836EC</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {833, 1121}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>18 34 833 1141 0 0 1920 1178 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E15466E80D5EDDDD00C836EC</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>APEMain.m</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E15466E90D5EDDDD00C836EC</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>APEMain.m</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E15468B80D602DD100C836EC</string>
+						<key>history</key>
+						<array>
+							<string>E15466F50D5EDECE00C836EC</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {752, 634}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>182 79 752 654 0 0 1920 1178 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E15467390D5FF5D100C836EC</string>
 				<key>PBXProjectModuleLabel</key>
 				<string>TestParser.m</string>
@@ -209,5 +329,5 @@
 					<dict>
 						<key>PBXProjectModuleGUID</key>
-						<string>E154645D0D5EB73F00C836EC</string>
+						<string>E154673A0D5FF5D100C836EC</string>
 						<key>PBXProjectModuleLabel</key>
 						<string>TestParser.m</string>
@@ -215,8 +335,8 @@
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E15465140D5ECA7400C836EC</string>
+						<string>E15468B90D602DD100C836EC</string>
 						<key>history</key>
 						<array>
-							<string>E15465010D5EC80700C836EC</string>
+							<string>E154680A0D601CF100C836EC</string>
 						</array>
 					</dict>
@@ -234,5 +354,5 @@
 				<true/>
 				<key>RubberWindowFrame</key>
-				<string>814 361 772 816 0 0 1920 1178 </string>
+				<string>828 355 772 816 0 0 1920 1178 </string>
 			</dict>
 		</dict>
@@ -241,5 +361,5 @@
 			<dict>
 				<key>PBXProjectModuleGUID</key>
-				<string>E15464590D5EB73F00C836EC</string>
+				<string>E15468640D60266400C836EC</string>
 				<key>PBXProjectModuleLabel</key>
 				<string>urls.plist</string>
@@ -249,5 +369,5 @@
 					<dict>
 						<key>PBXProjectModuleGUID</key>
-						<string>E154645A0D5EB73F00C836EC</string>
+						<string>E15468650D60266400C836EC</string>
 						<key>PBXProjectModuleLabel</key>
 						<string>urls.plist</string>
@@ -255,8 +375,8 @@
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E15465150D5ECA7400C836EC</string>
+						<string>E15468BA0D602DD100C836EC</string>
 						<key>history</key>
 						<array>
-							<string>E15464550D5EB72500C836EC</string>
+							<string>E15468820D60280100C836EC</string>
 						</array>
 					</dict>
@@ -277,84 +397,4 @@
 			</dict>
 		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E15464560D5EB73F00C836EC</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>ICeCoffEEParser.m</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E15464570D5EB73F00C836EC</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>ICeCoffEEParser.m</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E15465160D5ECA7400C836EC</string>
-						<key>history</key>
-						<array>
-							<string>E15464F60D5EC7A300C836EC</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {786, 913}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>18 242 786 933 0 0 1920 1178 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E15464F80D5EC7A300C836EC</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>ICeCoffEE.h</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E15464F90D5EC7A300C836EC</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>ICeCoffEE.h</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E15465170D5ECA7400C836EC</string>
-						<key>history</key>
-						<array>
-							<string>E15464F00D5EC77900C836EC</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {813, 726}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>21 33 813 746 0 0 1920 1178 </string>
-			</dict>
-		</dict>
 	</array>
 	<key>PerspectiveWidths</key>
@@ -419,23 +459,19 @@
 									<array>
 										<string>29B97314FDCFA39411CA2CEA</string>
-										<string>E14993A503DE868D00050002</string>
 										<string>29B97315FDCFA39411CA2CEA</string>
 										<string>E1AFA51C03ECFDB000050001</string>
-										<string>E14E2B3F0C2CC01700AC18D0</string>
 										<string>E1BF154403DB950B00050002</string>
 										<string>29B97317FDCFA39411CA2CEA</string>
-										<string>29B97323FDCFA39411CA2CEA</string>
-										<string>19C28FACFE9D520D11CA2CBB</string>
 									</array>
 									<key>PBXSmartGroupTreeModuleOutlineStateSelectionKey</key>
 									<array>
 										<array>
-											<integer>43</integer>
-											<integer>42</integer>
+											<integer>39</integer>
+											<integer>38</integer>
 											<integer>0</integer>
 										</array>
 									</array>
 									<key>PBXSmartGroupTreeModuleOutlineStateVisibleRectKey</key>
-									<string>{{0, 501}, {298, 621}}</string>
+									<string>{{0, 246}, {298, 621}}</string>
 								</dict>
 								<key>PBXTopSmartGroupGIDs</key>
@@ -456,5 +492,5 @@
 								</array>
 								<key>RubberWindowFrame</key>
-								<string>1594 468 315 707 0 0 1920 1178 </string>
+								<string>1597 467 315 707 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -491,15 +527,13 @@
 									<array>
 										<string>1C37FBAC04509CD000000102</string>
-										<string>E154648E0D5EBC2400C836EC</string>
-										<string>E154648F0D5EBC2400C836EC</string>
-										<string>E15463EA0D5E9A3400C836EC</string>
-										<string>E15463EB0D5E9A3400C836EC</string>
-										<string>E15464900D5EBC2400C836EC</string>
-										<string>1C37FAAC04509CD000000102</string>
+										<string>E15466440D5ED60B00C836EC</string>
+										<string>E15466460D5ED60B00C836EC</string>
+										<string>E15466470D5ED60B00C836EC</string>
+										<string>E154666C0D5ED6F600C836EC</string>
 									</array>
 									<key>PBXSmartGroupTreeModuleOutlineStateSelectionKey</key>
 									<array>
 										<array>
-											<integer>13</integer>
+											<integer>20</integer>
 											<integer>0</integer>
 										</array>
@@ -634,25 +668,27 @@
 	<key>WindowOrderList</key>
 	<array>
-		<string>E15465180D5ECA7400C836EC</string>
-		<string>E15464F20D5EC7A300C836EC</string>
-		<string>E15464EC0D5EC56400C836EC</string>
+		<string>E15468BB0D602DD100C836EC</string>
+		<string>E15468AC0D602CD900C836EC</string>
+		<string>1C530D60069F1CE1000CFCEE</string>
 		<string>1C335F2C07B51CD20023D4EE</string>
+		<string>E15464560D5EB73F00C836EC</string>
 		<string>E15464250D5E9F1000C836EC</string>
 		<string>E15464280D5E9F1000C836EC</string>
 		<string>E15464290D5E9F1000C836EC</string>
 		<string>E154642A0D5E9F1000C836EC</string>
+		<string>1C530D54069F1CE1000CFCEE</string>
+		<string>1C530D57069F1CE1000CFCEE</string>
+		<string>E15468640D60266400C836EC</string>
+		<string>1C530D52069F1CE1000CFCEE</string>
+		<string>E15467390D5FF5D100C836EC</string>
+		<string>E15466E80D5EDDDD00C836EC</string>
 		<string>1C530D5B069F1CE1000CFCEE</string>
-		<string>1C530D57069F1CE1000CFCEE</string>
-		<string>E15464F80D5EC7A300C836EC</string>
-		<string>1C530D54069F1CE1000CFCEE</string>
-		<string>1C530D52069F1CE1000CFCEE</string>
+		<string>E15467400D5FF5D100C836EC</string>
+		<string>E15464670D5EB85000C836EC</string>
+		<string>E15468B20D602DD100C836EC</string>
 		<string>/Users/nicholas/Documents/Development/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj</string>
-		<string>E15464670D5EB85000C836EC</string>
-		<string>E15464560D5EB73F00C836EC</string>
-		<string>E15464590D5EB73F00C836EC</string>
-		<string>E154645C0D5EB73F00C836EC</string>
 	</array>
 	<key>WindowString</key>
-	<string>1594 468 315 707 0 0 1920 1178 </string>
+	<string>1597 467 315 707 0 0 1920 1178 </string>
 	<key>WindowToolsV3</key>
 	<array>
@@ -822,5 +858,5 @@
 								<string>{{0, 0}, {1011, 0}}</string>
 								<key>RubberWindowFrame</key>
-								<string>825 205 1011 271 0 0 1920 1178 </string>
+								<string>810 157 1011 271 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -848,5 +884,5 @@
 								<string>{{0, 5}, {1011, 225}}</string>
 								<key>RubberWindowFrame</key>
-								<string>825 205 1011 271 0 0 1920 1178 </string>
+								<string>810 157 1011 271 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -878,5 +914,5 @@
 			<string>xcode.toolbar.config.buildV3</string>
 			<key>WindowString</key>
-			<string>825 205 1011 271 0 0 1920 1178 </string>
+			<string>810 157 1011 271 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D52069F1CE1000CFCEE</string>
@@ -913,6 +949,6 @@
 										<key>sizes</key>
 										<array>
-											<string>{{0, 0}, {361, 278}}</string>
-											<string>{{361, 0}, {446, 278}}</string>
+											<string>{{0, 0}, {275, 263}}</string>
+											<string>{{275, 0}, {532, 263}}</string>
 										</array>
 									</dict>
@@ -929,6 +965,6 @@
 										<key>sizes</key>
 										<array>
-											<string>{{0, 0}, {807, 278}}</string>
-											<string>{{0, 278}, {807, 251}}</string>
+											<string>{{0, 0}, {807, 263}}</string>
+											<string>{{0, 263}, {807, 266}}</string>
 										</array>
 									</dict>
@@ -956,17 +992,17 @@
 									<array>
 										<string>Name</string>
-										<real>120</real>
+										<real>164</real>
 										<string>Value</string>
 										<real>85</real>
 										<string>Summary</string>
-										<real>216</real>
+										<real>258</real>
 									</array>
 									<key>Frame</key>
-									<string>{{361, 0}, {446, 278}}</string>
+									<string>{{275, 0}, {532, 263}}</string>
 									<key>RubberWindowFrame</key>
-									<string>825 127 807 570 0 0 1920 1178 </string>
+									<string>938 75 807 570 0 0 1920 1178 </string>
 								</dict>
 								<key>RubberWindowFrame</key>
-								<string>825 127 807 570 0 0 1920 1178 </string>
+								<string>938 75 807 570 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -1002,9 +1038,9 @@
 			<string>xcode.toolbar.config.debugV3</string>
 			<key>WindowString</key>
-			<string>825 127 807 570 0 0 1920 1178 </string>
+			<string>938 75 807 570 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D54069F1CE1000CFCEE</string>
 			<key>WindowToolIsVisible</key>
-			<true/>
+			<false/>
 		</dict>
 		<dict>
@@ -1130,5 +1166,5 @@
 								<string>{{0, 0}, {805, 587}}</string>
 								<key>RubberWindowFrame</key>
-								<string>1071 202 805 628 0 0 1920 1178 </string>
+								<string>892 81 805 628 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -1159,9 +1195,9 @@
 			<string>xcode.toolbar.config.consoleV3</string>
 			<key>WindowString</key>
-			<string>1071 202 805 628 0 0 1920 1178 </string>
+			<string>892 81 805 628 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D5B069F1CE1000CFCEE</string>
 			<key>WindowToolIsVisible</key>
-			<false/>
+			<true/>
 		</dict>
 		<dict>
@@ -1224,7 +1260,7 @@
 							<dict>
 								<key>Frame</key>
-								<string>{{0, 0}, {457, 0}}</string>
+								<string>{{0, 0}, {888, 0}}</string>
 								<key>RubberWindowFrame</key>
-								<string>474 435 457 342 0 0 1920 1178 </string>
+								<string>383 562 888 548 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -1244,5 +1280,5 @@
 									<key>PBXCVSModuleTreeModuleColumnWidthsKey</key>
 									<array>
-										<real>200</real>
+										<real>254</real>
 										<real>56.66162109375</real>
 										<real>63</real>
@@ -1269,16 +1305,16 @@
 							<dict>
 								<key>Frame</key>
-								<string>{{0, 5}, {457, 296}}</string>
+								<string>{{0, 5}, {888, 502}}</string>
 								<key>RubberWindowFrame</key>
-								<string>474 435 457 342 0 0 1920 1178 </string>
+								<string>383 562 888 548 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
 							<string>PBXCVSModule</string>
 							<key>Proportion</key>
-							<string>296pt</string>
+							<string>502pt</string>
 						</dict>
 					</array>
 					<key>Proportion</key>
-					<string>301pt</string>
+					<string>507pt</string>
 				</dict>
 			</array>
@@ -1301,5 +1337,5 @@
 			<string>xcode.toolbar.config.scm</string>
 			<key>WindowString</key>
-			<string>474 435 457 342 0 0 1920 1178 </string>
+			<string>383 562 888 548 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
 			<string>E15464670D5EB85000C836EC</string>
@@ -1555,4 +1591,6 @@
 			<key>Identifier</key>
 			<string>windowTool.classBrowser</string>
+			<key>IsVertical</key>
+			<true/>
 			<key>Layout</key>
 			<array>
@@ -1597,5 +1635,5 @@
 								</array>
 								<key>RubberWindowFrame</key>
-								<string>244 643 624 339 0 0 1600 1178 </string>
+								<string>324 643 624 339 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -1620,5 +1658,5 @@
 			<array>
 				<string>1C530D60069F1CE1000CFCEE</string>
-				<string>1C530D61069F1CE1000CFCEE</string>
+				<string>E15466500D5ED65900C836EC</string>
 				<string>1CA6456E063B45B4001379D8</string>
 			</array>
@@ -1626,5 +1664,5 @@
 			<string>xcode.toolbar.config.classbrowser</string>
 			<key>WindowString</key>
-			<string>244 643 624 339 0 0 1600 1178 </string>
+			<string>324 643 624 339 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D60069F1CE1000CFCEE</string>