Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3	(revision 387)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3	(revision 388)
@@ -201,7 +201,7 @@
 			<dict>
 				<key>PBXProjectModuleGUID</key>
-				<string>E15468B20D602DD100C836EC</string>
+				<string>E101AC960D6F5E4600AB607D</string>
 				<key>PBXProjectModuleLabel</key>
-				<string>Info-APE Module.plist - SCM</string>
+				<string>TestParser.m - SCM</string>
 				<key>PBXSplitModuleInNavigatorKey</key>
 				<dict>
@@ -209,14 +209,14 @@
 					<dict>
 						<key>PBXProjectModuleGUID</key>
-						<string>E15468B30D602DD100C836EC</string>
+						<string>E101AC970D6F5E4600AB607D</string>
 						<key>PBXProjectModuleLabel</key>
-						<string>Info-APE Module.plist - SCM</string>
+						<string>TestParser.m - SCM</string>
 						<key>_historyCapacity</key>
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E15468B50D602DD100C836EC</string>
+						<string>E101AC9F0D6F5EAA00AB607D</string>
 						<key>history</key>
 						<array>
-							<string>E15468B40D602DD100C836EC</string>
+							<string>E101AC980D6F5E4600AB607D</string>
 						</array>
 					</dict>
@@ -230,9 +230,9 @@
 			<dict>
 				<key>Frame</key>
-				<string>{{0, -1}, {1104, 1144}}</string>
+				<string>{{0, -1}, {1668, 732}}</string>
 				<key>PBXModuleWindowStatusBarHidden2</key>
 				<true/>
 				<key>RubberWindowFrame</key>
-				<string>15 9 1104 1164 0 0 1920 1178 </string>
+				<string>176 274 1668 752 0 0 1920 1178 </string>
 			</dict>
 		</dict>
@@ -241,7 +241,7 @@
 			<dict>
 				<key>PBXProjectModuleGUID</key>
-				<string>E15467400D5FF5D100C836EC</string>
+				<string>E101AC520D6F5A7A00AB607D</string>
 				<key>PBXProjectModuleLabel</key>
-				<string>ICeCoffEEParser.m</string>
+				<string>APEMain.m - SCM</string>
 				<key>PBXSplitModuleInNavigatorKey</key>
 				<dict>
@@ -249,14 +249,14 @@
 					<dict>
 						<key>PBXProjectModuleGUID</key>
-						<string>E15467410D5FF5D100C836EC</string>
+						<string>E101AC530D6F5A7A00AB607D</string>
 						<key>PBXProjectModuleLabel</key>
-						<string>ICeCoffEEParser.m</string>
+						<string>APEMain.m - SCM</string>
 						<key>_historyCapacity</key>
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E15468B70D602DD100C836EC</string>
+						<string>E101ACA10D6F5EAA00AB607D</string>
 						<key>history</key>
 						<array>
-							<string>E15468300D6020DB00C836EC</string>
+							<string>E101AC540D6F5A7A00AB607D</string>
 						</array>
 					</dict>
@@ -270,129 +270,9 @@
 			<dict>
 				<key>Frame</key>
-				<string>{{0, -1}, {833, 1121}}</string>
+				<string>{{0, -1}, {867, 996}}</string>
 				<key>PBXModuleWindowStatusBarHidden2</key>
 				<true/>
 				<key>RubberWindowFrame</key>
-				<string>18 34 833 1141 0 0 1920 1178 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E15466E80D5EDDDD00C836EC</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>APEMain.m</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E15466E90D5EDDDD00C836EC</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>APEMain.m</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E15468B80D602DD100C836EC</string>
-						<key>history</key>
-						<array>
-							<string>E15466F50D5EDECE00C836EC</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {752, 634}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>182 79 752 654 0 0 1920 1178 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E15467390D5FF5D100C836EC</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>TestParser.m</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E154673A0D5FF5D100C836EC</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>TestParser.m</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E15468B90D602DD100C836EC</string>
-						<key>history</key>
-						<array>
-							<string>E154680A0D601CF100C836EC</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {772, 796}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>828 355 772 816 0 0 1920 1178 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E15468640D60266400C836EC</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>urls.plist</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E15468650D60266400C836EC</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>urls.plist</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E15468BA0D602DD100C836EC</string>
-						<key>history</key>
-						<array>
-							<string>E15468820D60280100C836EC</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {772, 796}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>51 15 772 816 0 0 1920 1178 </string>
+				<string>773 42 867 1016 0 0 1920 1178 </string>
 			</dict>
 		</dict>
@@ -467,11 +347,11 @@
 									<array>
 										<array>
-											<integer>39</integer>
-											<integer>38</integer>
+											<integer>45</integer>
+											<integer>44</integer>
 											<integer>0</integer>
 										</array>
 									</array>
 									<key>PBXSmartGroupTreeModuleOutlineStateVisibleRectKey</key>
-									<string>{{0, 246}, {298, 621}}</string>
+									<string>{{0, 212}, {298, 621}}</string>
 								</dict>
 								<key>PBXTopSmartGroupGIDs</key>
@@ -492,5 +372,5 @@
 								</array>
 								<key>RubberWindowFrame</key>
-								<string>1597 467 315 707 0 0 1920 1178 </string>
+								<string>1598 467 315 707 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -527,13 +407,16 @@
 									<array>
 										<string>1C37FBAC04509CD000000102</string>
-										<string>E15466440D5ED60B00C836EC</string>
-										<string>E15466460D5ED60B00C836EC</string>
-										<string>E15466470D5ED60B00C836EC</string>
-										<string>E154666C0D5ED6F600C836EC</string>
+										<string>E101A6DD0D6D55BB00AB607D</string>
+										<string>E101A7430D6D5D6F00AB607D</string>
+										<string>E101A7440D6D5D6F00AB607D</string>
+										<string>E101A6E10D6D55BB00AB607D</string>
+										<string>E101AB630D6F4E5D00AB607D</string>
 									</array>
 									<key>PBXSmartGroupTreeModuleOutlineStateSelectionKey</key>
 									<array>
 										<array>
-											<integer>20</integer>
+											<integer>21</integer>
+											<integer>7</integer>
+											<integer>1</integer>
 											<integer>0</integer>
 										</array>
@@ -636,6 +519,6 @@
 			<key>TableOfContents</key>
 			<array>
-				<string>E15463BE0D5E953600C836EC</string>
-				<string>E15463BF0D5E953600C836EC</string>
+				<string>E101A6F30D6D55BE00AB607D</string>
+				<string>E101A6F40D6D55BE00AB607D</string>
 				<string>1C9437FD063B20B00039CFAC</string>
 				<string>1C9437FE063B20B00039CFAC</string>
@@ -668,27 +551,23 @@
 	<key>WindowOrderList</key>
 	<array>
-		<string>E15468BB0D602DD100C836EC</string>
-		<string>E15468AC0D602CD900C836EC</string>
-		<string>1C530D60069F1CE1000CFCEE</string>
-		<string>1C335F2C07B51CD20023D4EE</string>
-		<string>E15464560D5EB73F00C836EC</string>
-		<string>E15464250D5E9F1000C836EC</string>
-		<string>E15464280D5E9F1000C836EC</string>
-		<string>E15464290D5E9F1000C836EC</string>
-		<string>E154642A0D5E9F1000C836EC</string>
+		<string>E101ACA30D6F5EAA00AB607D</string>
+		<string>E101AC280D6F56CC00AB607D</string>
+		<string>E101AA1C0D6F424B00AB607D</string>
+		<string>E101A9C40D6F3F0700AB607D</string>
+		<string>E101A80F0D6D68E800AB607D</string>
+		<string>E101A8100D6D68E800AB607D</string>
+		<string>E101A8110D6D68E800AB607D</string>
+		<string>1C530D5B069F1CE1000CFCEE</string>
 		<string>1C530D54069F1CE1000CFCEE</string>
 		<string>1C530D57069F1CE1000CFCEE</string>
-		<string>E15468640D60266400C836EC</string>
+		<string>E101A7210D6D5CC800AB607D</string>
+		<string>E101AC520D6F5A7A00AB607D</string>
 		<string>1C530D52069F1CE1000CFCEE</string>
-		<string>E15467390D5FF5D100C836EC</string>
-		<string>E15466E80D5EDDDD00C836EC</string>
-		<string>1C530D5B069F1CE1000CFCEE</string>
-		<string>E15467400D5FF5D100C836EC</string>
 		<string>E15464670D5EB85000C836EC</string>
-		<string>E15468B20D602DD100C836EC</string>
+		<string>E101AC960D6F5E4600AB607D</string>
 		<string>/Users/nicholas/Documents/Development/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj</string>
 	</array>
 	<key>WindowString</key>
-	<string>1597 467 315 707 0 0 1920 1178 </string>
+	<string>1598 467 315 707 0 0 1920 1178 </string>
 	<key>WindowToolsV3</key>
 	<array>
@@ -858,5 +737,5 @@
 								<string>{{0, 0}, {1011, 0}}</string>
 								<key>RubberWindowFrame</key>
-								<string>810 157 1011 271 0 0 1920 1178 </string>
+								<string>663 40 1011 271 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -884,5 +763,5 @@
 								<string>{{0, 5}, {1011, 225}}</string>
 								<key>RubberWindowFrame</key>
-								<string>810 157 1011 271 0 0 1920 1178 </string>
+								<string>663 40 1011 271 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -907,5 +786,5 @@
 			<array>
 				<string>1C530D52069F1CE1000CFCEE</string>
-				<string>E15463CC0D5E953600C836EC</string>
+				<string>E101A7060D6D5B2400AB607D</string>
 				<string>1CD0528F0623707200166675</string>
 				<string>XCMainBuildResultsModuleGUID</string>
@@ -914,5 +793,5 @@
 			<string>xcode.toolbar.config.buildV3</string>
 			<key>WindowString</key>
-			<string>810 157 1011 271 0 0 1920 1178 </string>
+			<string>663 40 1011 271 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D52069F1CE1000CFCEE</string>
@@ -949,6 +828,6 @@
 										<key>sizes</key>
 										<array>
-											<string>{{0, 0}, {275, 263}}</string>
-											<string>{{275, 0}, {532, 263}}</string>
+											<string>{{0, 0}, {274, 277}}</string>
+											<string>{{274, 0}, {533, 277}}</string>
 										</array>
 									</dict>
@@ -965,6 +844,6 @@
 										<key>sizes</key>
 										<array>
-											<string>{{0, 0}, {807, 263}}</string>
-											<string>{{0, 263}, {807, 266}}</string>
+											<string>{{0, 0}, {807, 277}}</string>
+											<string>{{0, 277}, {807, 252}}</string>
 										</array>
 									</dict>
@@ -996,8 +875,8 @@
 										<real>85</real>
 										<string>Summary</string>
-										<real>258</real>
+										<real>259</real>
 									</array>
 									<key>Frame</key>
-									<string>{{275, 0}, {532, 263}}</string>
+									<string>{{274, 0}, {533, 277}}</string>
 									<key>RubberWindowFrame</key>
 									<string>938 75 807 570 0 0 1920 1178 </string>
@@ -1027,11 +906,11 @@
 			<array>
 				<string>1C530D54069F1CE1000CFCEE</string>
-				<string>E154641E0D5E9F1000C836EC</string>
+				<string>E101A7310D6D5CD100AB607D</string>
 				<string>1C162984064C10D400B95A72</string>
-				<string>E154641F0D5E9F1000C836EC</string>
-				<string>E15464200D5E9F1000C836EC</string>
-				<string>E15464210D5E9F1000C836EC</string>
-				<string>E15464220D5E9F1000C836EC</string>
-				<string>E15464230D5E9F1000C836EC</string>
+				<string>E101A7320D6D5CD100AB607D</string>
+				<string>E101A7330D6D5CD100AB607D</string>
+				<string>E101A7340D6D5CD100AB607D</string>
+				<string>E101A7350D6D5CD100AB607D</string>
+				<string>E101A7360D6D5CD100AB607D</string>
 			</array>
 			<key>ToolbarConfiguration</key>
@@ -1074,5 +953,5 @@
 										<string>{{0, 0}, {848, 299}}</string>
 										<key>RubberWindowFrame</key>
-										<string>1018 175 848 651 0 0 1920 1178 </string>
+										<string>963 203 848 651 0 0 1920 1178 </string>
 									</dict>
 									<key>Module</key>
@@ -1100,5 +979,5 @@
 								<string>{{0, 304}, {848, 306}}</string>
 								<key>RubberWindowFrame</key>
-								<string>1018 175 848 651 0 0 1920 1178 </string>
+								<string>963 203 848 651 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -1123,11 +1002,11 @@
 			<array>
 				<string>1C530D57069F1CE1000CFCEE</string>
-				<string>E15463F20D5E9A3400C836EC</string>
-				<string>E15463F30D5E9A3400C836EC</string>
+				<string>E101A7080D6D5B2400AB607D</string>
+				<string>E101A7090D6D5B2400AB607D</string>
 				<string>1CDD528C0622207200134675</string>
 				<string>1CD0528E0623707200166675</string>
 			</array>
 			<key>WindowString</key>
-			<string>1018 175 848 651 0 0 1920 1178 </string>
+			<string>963 203 848 651 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D57069F1CE1000CFCEE</string>
@@ -1166,5 +1045,5 @@
 								<string>{{0, 0}, {805, 587}}</string>
 								<key>RubberWindowFrame</key>
-								<string>892 81 805 628 0 0 1920 1178 </string>
+								<string>1051 73 805 628 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -1189,5 +1068,5 @@
 			<array>
 				<string>1C530D5B069F1CE1000CFCEE</string>
-				<string>E15464240D5E9F1000C836EC</string>
+				<string>E101A7370D6D5CD100AB607D</string>
 				<string>1C78EAAC065D492600B07095</string>
 			</array>
@@ -1195,9 +1074,9 @@
 			<string>xcode.toolbar.config.consoleV3</string>
 			<key>WindowString</key>
-			<string>892 81 805 628 0 0 1920 1178 </string>
+			<string>1051 73 805 628 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D5B069F1CE1000CFCEE</string>
 			<key>WindowToolIsVisible</key>
-			<true/>
+			<false/>
 		</dict>
 		<dict>
@@ -1262,5 +1141,5 @@
 								<string>{{0, 0}, {888, 0}}</string>
 								<key>RubberWindowFrame</key>
-								<string>383 562 888 548 0 0 1920 1178 </string>
+								<string>893 33 888 548 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -1280,10 +1159,10 @@
 									<key>PBXCVSModuleTreeModuleColumnWidthsKey</key>
 									<array>
-										<real>254</real>
-										<real>56.66162109375</real>
+										<real>256</real>
+										<real>56</real>
 										<real>63</real>
 										<real>60</real>
 										<real>63</real>
-										<real>355.556640625</real>
+										<real>355</real>
 									</array>
 									<key>PBXCVSModuleTreeModuleColumnsKey</key>
@@ -1307,5 +1186,5 @@
 								<string>{{0, 5}, {888, 502}}</string>
 								<key>RubberWindowFrame</key>
-								<string>383 562 888 548 0 0 1920 1178 </string>
+								<string>893 33 888 548 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -1330,5 +1209,5 @@
 			<array>
 				<string>E15464670D5EB85000C836EC</string>
-				<string>E15464680D5EB85000C836EC</string>
+				<string>E101AC510D6F5A7800AB607D</string>
 				<string>1C78EAB2065D492600B07095</string>
 				<string>1CD052920623707200166675</string>
@@ -1337,5 +1216,5 @@
 			<string>xcode.toolbar.config.scm</string>
 			<key>WindowString</key>
-			<string>383 562 888 548 0 0 1920 1178 </string>
+			<string>893 33 888 548 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
 			<string>E15464670D5EB85000C836EC</string>
@@ -1671,8 +1550,12 @@
 		</dict>
 		<dict>
+			<key>FirstTimeWindowDisplayed</key>
+			<false/>
 			<key>Identifier</key>
 			<string>windowTool.refactoring</string>
 			<key>IncludeInToolsMenu</key>
 			<false/>
+			<key>IsVertical</key>
+			<true/>
 			<key>Layout</key>
 			<array>
@@ -1681,21 +1564,24 @@
 					<array>
 						<dict>
-							<key>BecomeActive</key>
-							<true/>
+							<key>ContentConfiguration</key>
+							<dict>
+								<key>PBXProjectModuleGUID</key>
+								<string>E101A9C30D6F3F0700AB607D</string>
+							</dict>
 							<key>GeometryConfiguration</key>
 							<dict>
 								<key>Frame</key>
-								<string>{0, 0}, {500, 335}</string>
+								<string>{{0, 0}, {500, 315}}</string>
 								<key>RubberWindowFrame</key>
-								<string>{0, 0}, {500, 335}</string>
+								<string>663 799 500 356 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
 							<string>XCRefactoringModule</string>
 							<key>Proportion</key>
-							<string>100%</string>
+							<string>315pt</string>
 						</dict>
 					</array>
 					<key>Proportion</key>
-					<string>100%</string>
+					<string>315pt</string>
 				</dict>
 			</array>
@@ -1706,6 +1592,18 @@
 				<string>XCRefactoringModule</string>
 			</array>
+			<key>StatusbarIsVisible</key>
+			<true/>
+			<key>TableOfContents</key>
+			<array>
+				<string>E101A9C40D6F3F0700AB607D</string>
+				<string>E101A9C50D6F3F0700AB607D</string>
+				<string>E101A9C30D6F3F0700AB607D</string>
+			</array>
 			<key>WindowString</key>
-			<string>200 200 500 356 0 0 1920 1200 </string>
+			<string>663 799 500 356 0 0 1920 1178 </string>
+			<key>WindowToolGUID</key>
+			<string>E101A9C40D6F3F0700AB607D</string>
+			<key>WindowToolIsVisible</key>
+			<false/>
 		</dict>
 	</array>