Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3	(revision 388)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3	(revision 389)
@@ -201,7 +201,7 @@
 			<dict>
 				<key>PBXProjectModuleGUID</key>
-				<string>E101AC960D6F5E4600AB607D</string>
+				<string>E101ACB30D6F6B1900AB607D</string>
 				<key>PBXProjectModuleLabel</key>
-				<string>TestParser.m - SCM</string>
+				<string>APEMain.m</string>
 				<key>PBXSplitModuleInNavigatorKey</key>
 				<dict>
@@ -209,14 +209,14 @@
 					<dict>
 						<key>PBXProjectModuleGUID</key>
-						<string>E101AC970D6F5E4600AB607D</string>
+						<string>E101ACB40D6F6B1900AB607D</string>
 						<key>PBXProjectModuleLabel</key>
-						<string>TestParser.m - SCM</string>
+						<string>APEMain.m</string>
 						<key>_historyCapacity</key>
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E101AC9F0D6F5EAA00AB607D</string>
+						<string>E101AD980D6F795B00AB607D</string>
 						<key>history</key>
 						<array>
-							<string>E101AC980D6F5E4600AB607D</string>
+							<string>E101AD470D6F761800AB607D</string>
 						</array>
 					</dict>
@@ -230,9 +230,89 @@
 			<dict>
 				<key>Frame</key>
-				<string>{{0, -1}, {1668, 732}}</string>
+				<string>{{0, -1}, {855, 699}}</string>
 				<key>PBXModuleWindowStatusBarHidden2</key>
 				<true/>
 				<key>RubberWindowFrame</key>
-				<string>176 274 1668 752 0 0 1920 1178 </string>
+				<string>41 45 855 719 0 0 1920 1178 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E101ACBD0D6F6B1900AB607D</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>CFBundle.h</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E101ACBE0D6F6B1900AB607D</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>CFBundle.h</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E101AD9A0D6F795B00AB607D</string>
+						<key>history</key>
+						<array>
+							<string>E101AD990D6F795B00AB607D</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {1000, 686}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>940 105 1000 706 0 0 1920 1178 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E101AD7D0D6F789C00AB607D</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>ApplicationEnhancer.h</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E101AD7E0D6F789C00AB607D</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>ApplicationEnhancer.h</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E101AD9B0D6F795B00AB607D</string>
+						<key>history</key>
+						<array>
+							<string>E101AD7F0D6F789C00AB607D</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {855, 699}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>268 223 855 719 0 0 1920 1178 </string>
 			</dict>
 		</dict>
@@ -255,5 +335,5 @@
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E101ACA10D6F5EAA00AB607D</string>
+						<string>E101AD9C0D6F795B00AB607D</string>
 						<key>history</key>
 						<array>
@@ -277,4 +357,244 @@
 			</dict>
 		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E101ACC50D6F6B1900AB607D</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>APEInfo.rtfd</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E101ACC60D6F6B1900AB607D</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>APEInfo.rtfd</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E101AD9E0D6F795B00AB607D</string>
+						<key>history</key>
+						<array>
+							<string>E101ACAD0D6F606600AB607D</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {754, 726}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>856 65 754 746 0 0 1920 1178 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E101AD240D6F737A00AB607D</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>CFBase.h</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E101AD250D6F737A00AB607D</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>CFBase.h</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E101AD9F0D6F795B00AB607D</string>
+						<key>history</key>
+						<array>
+							<string>E101AD3C0D6F761000AB607D</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {855, 699}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>938 113 855 719 0 0 1920 1178 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E101ACB70D6F6B1900AB607D</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>LSInfo.h</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E101ACB80D6F6B1900AB607D</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>LSInfo.h</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E101ADA00D6F795B00AB607D</string>
+						<key>history</key>
+						<array>
+							<string>E101ACB90D6F6B1900AB607D</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {855, 699}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>885 301 855 719 0 0 1920 1178 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E101ACD80D6F6E0C00AB607D</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>MacTypes.h</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E101ACD90D6F6E0C00AB607D</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>MacTypes.h</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E101ADA10D6F795B00AB607D</string>
+						<key>history</key>
+						<array>
+							<string>E101ACDA0D6F6E0C00AB607D</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {855, 699}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>553 147 855 719 0 0 1920 1178 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E101ACF50D6F6FCA00AB607D</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>Info-APE Module.plist</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E101ACF60D6F6FCA00AB607D</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>Info-APE Module.plist</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E101ADA20D6F795B00AB607D</string>
+						<key>history</key>
+						<array>
+							<string>E101ACEF0D6F6F7600AB607D</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {762, 661}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>1045 131 762 681 0 0 1920 1178 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E101AD2A0D6F737A00AB607D</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>CFNumber.h</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E101AD2B0D6F737A00AB607D</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>CFNumber.h</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E101ADA30D6F795B00AB607D</string>
+						<key>history</key>
+						<array>
+							<string>E101AD3A0D6F761000AB607D</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {855, 699}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>917 27 855 719 0 0 1920 1178 </string>
+			</dict>
+		</dict>
 	</array>
 	<key>PerspectiveWidths</key>
@@ -347,11 +667,11 @@
 									<array>
 										<array>
-											<integer>45</integer>
-											<integer>44</integer>
+											<integer>3</integer>
+											<integer>2</integer>
 											<integer>0</integer>
 										</array>
 									</array>
 									<key>PBXSmartGroupTreeModuleOutlineStateVisibleRectKey</key>
-									<string>{{0, 212}, {298, 621}}</string>
+									<string>{{0, 0}, {298, 621}}</string>
 								</dict>
 								<key>PBXTopSmartGroupGIDs</key>
@@ -551,7 +871,4 @@
 	<key>WindowOrderList</key>
 	<array>
-		<string>E101ACA30D6F5EAA00AB607D</string>
-		<string>E101AC280D6F56CC00AB607D</string>
-		<string>E101AA1C0D6F424B00AB607D</string>
 		<string>E101A9C40D6F3F0700AB607D</string>
 		<string>E101A80F0D6D68E800AB607D</string>
@@ -560,11 +877,19 @@
 		<string>1C530D5B069F1CE1000CFCEE</string>
 		<string>1C530D54069F1CE1000CFCEE</string>
+		<string>E101A7210D6D5CC800AB607D</string>
+		<string>E101AD2A0D6F737A00AB607D</string>
+		<string>E101ACF50D6F6FCA00AB607D</string>
+		<string>E101ACD80D6F6E0C00AB607D</string>
+		<string>E101ACB70D6F6B1900AB607D</string>
+		<string>E101AD240D6F737A00AB607D</string>
+		<string>E101ACC50D6F6B1900AB607D</string>
+		<string>E101AC520D6F5A7A00AB607D</string>
+		<string>E15464670D5EB85000C836EC</string>
+		<string>1C530D52069F1CE1000CFCEE</string>
+		<string>/Users/nicholas/Documents/Development/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj</string>
+		<string>E101AD7D0D6F789C00AB607D</string>
 		<string>1C530D57069F1CE1000CFCEE</string>
-		<string>E101A7210D6D5CC800AB607D</string>
-		<string>E101AC520D6F5A7A00AB607D</string>
-		<string>1C530D52069F1CE1000CFCEE</string>
-		<string>E15464670D5EB85000C836EC</string>
-		<string>E101AC960D6F5E4600AB607D</string>
-		<string>/Users/nicholas/Documents/Development/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj</string>
+		<string>E101ACBD0D6F6B1900AB607D</string>
+		<string>E101ACB30D6F6B1900AB607D</string>
 	</array>
 	<key>WindowString</key>
@@ -944,5 +1269,5 @@
 										<string>1CDD528C0622207200134675</string>
 										<key>PBXProjectModuleLabel</key>
-										<string>&lt;No Editor&gt;</string>
+										<string>ICeCoffEE.h</string>
 										<key>StatusBarVisibility</key>
 										<true/>
@@ -1012,5 +1337,5 @@
 			<string>1C530D57069F1CE1000CFCEE</string>
 			<key>WindowToolIsVisible</key>
-			<false/>
+			<true/>
 		</dict>
 		<dict>